DimRange (Lucene 10.5.0 facet API)
Description: declaration: package: org.apache.lucene.facet.facetset, record: DimRange

Package org.apache.lucene.facet.facetset

# Record Class DimRange

java.lang.Object
java.lang.Record
org.apache.lucene.facet.facetset.DimRange

Record Components:
  `min` - Inclusive min
  `max` - Inclusive max

public record DimRange(long min, long max) extends Record
Defines a single range in a `FacetSet` dimension.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DimRange(long min, long max)`
  Creates an instance of a `DimRange` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `static DimRange`
  `fromDoubles(double min, boolean minInclusive, double max, boolean maxInclusive)`
  Creates a `DimRange` for the given min and max double values.
  `static DimRange`
  `fromFloats(float min, boolean minInclusive, float max, boolean maxInclusive)`
  Creates a `DimRange` for the given min and max float values.
  `static DimRange`
  `fromLongs(long min, boolean minInclusive, long max, boolean maxInclusive)`
  Creates a `DimRange` for the given min and max long values.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `max()`
  Returns the value of the `max` record component.
  `long`
  `min()`
  Returns the value of the `min` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DimRange

    public DimRange(long min, long max)
    Creates an instance of a `DimRange` record class.
    Parameters:
      `min` - the value for the `min` record component
      `max` - the value for the `max` record component

- ## Method Details

  - ### fromLongs

    public static DimRange fromLongs(long min, boolean minInclusive, long max, boolean maxInclusive)
    Creates a `DimRange` for the given min and max long values. This method is also suitable for int values.

  - ### fromDoubles

    public static DimRange fromDoubles(double min, boolean minInclusive, double max, boolean maxInclusive)
    Creates a `DimRange` for the given min and max double values.

  - ### fromFloats

    public static DimRange fromFloats(float min, boolean minInclusive, float max, boolean maxInclusive)
    Creates a `DimRange` for the given min and max float values.

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### min

    public long min()
    Returns the value of the `min` record component.
    Returns:
      the value of the `min` record component

  - ### max

    public long max()
    Returns the value of the `max` record component.
    Returns:
      the value of the `max` record component